/* Style Reset */

*,
*::before,
*::after {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

html {
	-webkit-text-size-adjust: 100%;
	font-family: "Work Sans", sans-serif;
	line-height: 1.5;
	scroll-behavior: smooth;
	scroll-padding-top: 64px;
}

body {
	min-height: 100vh;
	text-rendering: optimizeSpeed;
}

img,
picture,
video,
canvas,
svg {
	display: block;
	max-width: 100%;
	height: auto;
}

button,
input,
select,
textarea {
	font: inherit;
	color: inherit;
	background: none;
	border: none;
}

button {
	cursor: pointer;
	overflow: visible;
	-webkit-tap-highlight-color: transparent;
}

ul,
ol {
	list-style: none;
}

a {
	text-decoration: none;
	color: inherit;
	-webkit-tap-highlight-color: transparent;
}

/* Variables */
:root {
	--primary-color: #005eb8;
	--secondary-color: #2e7d32;
	--tertiary-color: #f9a825;
	--neutral-color: #45474f;
}

/* Utility */

.container {
	max-width: 1100px;
	margin: 0 auto;
}

.btn {
	padding: 1rem 2rem;
	border-radius: 24px;
	box-shadow: 0 10 15 -3 rgba(0 0 0 0.1);
	cursor: pointer;
	text-align: center;
}

.heading-underline {
	background: #1b6d24;
	height: 6px;
	width: 80px;
	border-radius: 9999px;
	display: block;
}

h1,
h2,
h3,
h4,
h5,
h6 {
	font-family: "Plus Jakarta Sans", sans-serif;
}

.fade-from-bottom {
	opacity: 0;
	transform: translateY(50px);
	transition:
		opacity 0.8s ease-out,
		transform 0.8s ease-out;
}

.in-view {
	opacity: 1;
	transform: translateY(0);
}

/* site-header */
.site-header {
	position: fixed;
	top: 0;
	width: 100%;
	background: #ffffffcc;
	backdrop-filter: blur(24px);
	-webkit-backdrop-filter: blur(24px);
	z-index: 1000;
	height: 64px;
}

.site-header__container {
	display: flex;
	justify-content: space-between;
	align-items: center;
	padding: 0 24px;
	height: 64px;
}

.site-header__logo {
	display: flex;
	gap: 8px;
	align-items: center;
	transition: all 0.2s ease-in-out;
}

.site-header__link:hover .site-header__logo,
.site-header__link:focus .site-header__logo,
.site-header__link:active .site-header__logo {
	transform: scale(1.1);
}

.site-header__logo-icon img {
	width: 16px;
	height: 20px;
}

.site-header__logo-text {
	font-size: 20px;
	color: #1e40af;
	letter-spacing: -0.5px;
}

.site-header__cta {
	background: #00478d;
	padding: 10px 20px;
	border-radius: 24px;
	color: #fff;
	font-size: 14px;
	transition: all 0.2s ease-in-out;
}

.site-header__cta:hover,
.site-header__cta:focus,
.site-header__cta:active {
	background: #0056b3;
}

/* mobile-navbar */
.mobile-navbar {
	border-radius: 16px;
	position: fixed;
	width: 100%;
	bottom: 40px;
	background: #ffffffcc;
	box-shadow: 0 25px 50px -12px rgba(0, 0, 0, 0.25);
	width: 90%;
	left: 50%;
	transform: translateX(-50%);
	backdrop-filter: blur(24px);
	-webkit-backdrop-filter: blur(24px);
	padding: 14px 0;
}

.mobile-navbar__container {
	display: flex;
	justify-content: center;
	align-items: center;
	gap: 42px;
	padding: 0 45px;
}

.mobile-navbar__link-container {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	font-size: 10px;
	font-weight: 600;
	color: #1d4ed8;
	gap: 4px;
}

.mobile-navbar__link-icon img {
	height: 18px;
	width: 16px;
}

.mobile-navbar__link {
	transition: all 0.2s ease-in-out;
}

.mobile-navbar__link:hover,
.mobile-navbar__link:focus,
.mobile-navbar__link:active {
	transform: scale(1.2);
}

/* hero */
.hero {
	background:
		linear-gradient(to right, #00478de6 0%, #005eb866 100%),
		url("../images/hero-background.webp") center center/cover no-repeat;
	color: #fff;
	padding-top: 86px;
	padding-bottom: 22px;
}

.hero__container,
.ac-repair-hero__container {
	padding: 80px 24px;
}

.hero__content,
.ac-repair-hero__content {
	display: flex;
	flex-direction: column;
	gap: 24px;
}

.hero__heading-support,
.ac-repair-hero__heading-support {
	background: linear-gradient(to right, #1b6d2433 0%, #1b6d244d 100%);
	width: fit-content;
	padding: 4px 12px;
	color: #a3f69c;
	font-size: 12px;
	font-weight: 800;
	text-transform: uppercase;
	letter-spacing: 0.6px;
	border-radius: 9999px;
}

.hero__heading-title,
.ac-repair-hero__heading-title {
	font-size: 48px;
	line-height: 1.2;
	font-weight: 800;
}

.hero__heading-title span,
.ac-repair-hero__heading-title span {
	color: #a3f69c;
}

.hero__heading-text,
.ac-repair-hero__heading-text {
	color: #c8daff;
	line-height: 29px;
	font-size: 18px;
	font-weight: 400;
}

.hero__buttons {
	padding-top: 18px;
	display: flex;
	flex-direction: column;
	gap: 18px;
}

.hero__button {
	padding: 16px;
	width: 100%;
	background: #00478d;
	box-shadow: 0 10 15 -3 rgba(0, 0, 0, 0.1);
	font-size: 18px;
	line-height: 28px;
	font-weight: 600;
}

.hero__button:first-child:hover,
.hero__button:first-child:focus,
.hero__button:first-child:active {
	background: #0056b3;
}

.hero__button:nth-child(2) {
	background: #ffffff1a;
	backdrop-filter: blur(20px);
	-webkit-backdrop-filter: blur(20px);
	border: 1px solid #ffffff33;

	&:hover,
	&:focus,
	&:active {
		background: #ffffff33;
	}
}

/* services */
.services,
.included {
	padding: 96px 0;
	background: #faf8ff;
}

.services__container,
.included__container {
	padding: 0 24px;
	display: flex;
	flex-direction: column;
	gap: 64px;
}

.services__heading-container,
.included__heading-container {
	display: flex;
	flex-direction: column;
	gap: 16px;
}

.services__heading-title,
.included__heading-title {
	font-size: 30px;
	line-height: 36px;
	font-weight: 400;
}

.services__content,
.included__content {
	display: grid;
	grid-template-columns: 1fr;
	grid-template-rows: 1fr;
	gap: 32px;
}

.services__card,
.included__card {
	display: flex;
	flex-direction: column;
	gap: 12px;
	border-radius: 24px;
	background: #fff;
	padding: 32px;
	box-shadow: 0 1px 2px rgba(0, 0, 0, 0.1);
	position: relative;

	&::before {
		content: "";
		position: absolute;
		top: 0;
		left: 0;
		right: 0;
		bottom: 0;
		box-shadow: 0 12px 32px rgba(0, 0, 0, 0.18);
		opacity: 0;
		transition: opacity 0.2s ease-out;
		border-radius: inherit;
		z-index: -1;
		pointer-events: none;
	}

	&:hover::before,
	&:focus::before,
	&:active::before {
		opacity: 1;
	}

	&:hover:nth-child(1) .services__card-icon-container,
	&:focus:nth-child(1) .services__card-icon-container,
	&:active:nth-child(1) .services__card-icon-container {
		background: #00478d;
	}

	&:hover:nth-child(2) .services__card-icon-container,
	&:focus:nth-child(2) .services__card-icon-container,
	&:active:nth-child(2) .services__card-icon-container {
		background: #5eef52;
	}

	&:hover:nth-child(3) .services__card-icon-container,
	&:focus:nth-child(3) .services__card-icon-container,
	&:active:nth-child(3) .services__card-icon-container {
		background: #b29b5d;
	}

	&:hover:nth-child(1) .services__card-icon,
	&:focus:nth-child(1) .services__card-icon,
	&:active:nth-child(1) .services__card-icon {
		background: #fff;
	}
}

.services__card-icon-container {
	border-radius: 24px;
	height: 56px;
	width: 56px;
	display: flex;
	justify-content: center;
	align-items: center;
	transition: all 0.2s ease-in-out;
}

.services__card:nth-child(1) .services__card-icon-container {
	background: #d6e3ff;
}

.services__card:nth-child(2) .services__card-icon-container {
	background: #a3f69c;
}

.services__card:nth-child(3) .services__card-icon-container {
	background: #ffdd85;
}

.services__card-icon {
	transition: all 0.2s ease-in-out;
	mask-size: contain;
	-webkit-mask-repeat: no-repeat;
	height: 25px;
	width: 25px;
}

.services__card:nth-child(1) .services__card-icon {
	mask-image: url("../images/service-card-1-icon.svg");
	-webkit-mask-image: url("../images/service-card-1-icon.svg");
	background-color: #191b22;
}

.services__card:nth-child(2) .services__card-icon {
	mask-image: url("../images/service-card-2-icon.svg");
	-webkit-mask-image: url("../images/service-card-2-icon.svg");
	background-color: #191b22;
}

.services__card:nth-child(3) .services__card-icon {
	mask-image: url("../images/service-card-3-icon.svg");
	-webkit-mask-image: url("../images/service-card-3-icon.svg");
	background-color: #191b22;
}

.services__card-heading {
	padding-top: 12px;
	font-size: 20px;
	line-height: 28px;
	font-weight: 400;
	color: #191b22;
}

.services__card-description {
	line-height: 26px;
	color: #424752;
}

.services__card-button {
	padding: 0 12px 0 0;
	color: #00478d;
	display: flex;
	gap: 8px;
	font-weight: 700;
	font-size: 1rem;
	align-items: center;
	width: fit-content;

	&:hover img,
	&:focus img,
	&:active img {
		margin-left: 10px;
	}
}

.services__card-button img {
	height: 10px;
	width: 10px;
	transition: all 0.2s ease-in-out;
}

/* why-us */
.why-us {
	padding-top: 95px;
	padding-bottom: 90px;
	background: #f2f3fd;
}

.why-us__container {
	padding: 0 24px;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	gap: 58px;
}

.why-us__content {
	display: flex;
	flex-direction: column;
	justify-content: center;
	gap: 32px;
	width: 82%;
}

.why-us__heading-title {
	font-size: 30px;
	line-height: 38px;
	color: #191b22;
}

.why-us__list {
	display: grid;
	grid-template-columns: 1fr;
	grid-template-rows: 1fr;
	gap: 24px;
}

.why-us__list-item {
	padding: 16px;
	display: flex;
	gap: 16px;
}

.why-us__icon-container {
	display: flex;
	justify-content: center;
	align-items: center;
	flex-shrink: 0;
	height: 25px;
	width: 25px;
}

.why-us__icon-container img {
	height: auto;
	width: 100%;
}

.why-us__list-item:nth-child(3) {
	gap: 21px;
}

.why-us__list-item:nth-child(3) .why-us__icon-container {
	width: 20px;
	height: 25px;
}

.why-us__description-container {
	display: flex;
	flex-direction: column;
	gap: 4px;
}

.why-us__description-heading {
	font-family: "Work Sans", sans-serif;
	font-size: 18px;
	color: #191b22;
	line-height: 28px;
}

.why-us-description-text {
	font-size: 14px;
	line-height: 20px;
	color: #424752;
	width: 250px;
}

.why-us__image img {
	transform: rotate(2deg);
	border-radius: 24px;
	box-shadow: 0 25px 50px -12px rgba(0, 0, 0, 0.25);
}

/* testimonials */
.testimonials {
	padding: 96px 0;
	background: #faf8ff;
}

.testimonials__container {
	padding: 0 24px;
	display: flex;
	flex-direction: column;
	align-items: center;
	gap: 64px;
}

.testimonials__heading {
	display: flex;
	flex-direction: column;
	gap: 16px;
}

.testimonials__heading-title {
	font-size: 30px;
	line-height: 36px;
	text-align: center;
	color: #191b22;
}

.testimonials__heading-text {
	line-height: 24px;
	text-align: center;
	color: #424752;
}

.testimonials__content {
	display: grid;
	grid-template-columns: 1fr;
	grid-template-rows: 1fr;
	gap: 32px;
}

.testimonials__card {
	padding: 32px;
	display: grid;
	grid-template-columns: 1fr;
	grid-template-rows: 1fr;
	gap: 16px;
	border: 1px solid #c2c6d41a;
	border-radius: 24px;
	background: #fff;
	box-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.05);
}

.testimonials__card-stars {
	display: flex;
}

.testimonials__card-star {
	height: 19px;
	width: 20px;
}

.testimonials__card-star img {
	height: 100%;
	width: 100%;
}

.testimonials__card-testimonial-text {
	color: #191b22;
	font-style: italic;
	line-height: 24px;
}

.testimonials__person {
	display: flex;
	gap: 16px;
	padding-top: 8px;
	align-items: flex-end;
}

.testimonials__person-image {
	width: 48px;
	height: 48px;
}

.testimonials__person-image img {
	border-radius: 9999px;
}

.testimonials__person-name {
	line-height: 24px;
	font-size: 16px;
	color: #191b22;
}

.testimonials__person-location {
	font-size: 12px;
	line-height: 16px;
	color: #424752;
}

/* gallery */
.gallery {
	padding: 96px 0;
	background: #f2f3fd;
}

.gallery__container {
	display: flex;
	flex-direction: column;
	gap: 48px;
	padding: 0 24px;
}

.gallery__heading-title {
	font-size: 30px;
	line-height: 36px;
	font-weight: 400;
	color: #191b22;
}

.gallery__heading-text {
	line-height: 24px;
	color: #424752;
}

.gallery__content {
	display: grid;
	grid-template-columns: repeat(2, 1fr);
	grid-template-rows: repeat(4, 1fr);
	gap: 16px;
}

.gallery__installation {
	grid-column: 1/3;
	grid-row: 1/3;
}

.gallery__content img {
	object-fit: cover;
	object-position: center;
	aspect-ratio: 1/1;
	width: 100%;
	border-radius: 24px;
}

.gallery__happy-customer {
	grid-column: 2;
	grid-row: 3/5;
}

.gallery__happy-customer img {
	aspect-ratio: 1/2;
	height: 100%;
}

/* contact */
.contact {
	padding: 96px 0;
	background: #faf8ff;
}

.contact__container {
	padding: 0 24px;
	display: grid;
	grid-template-columns: 1fr;
	grid-auto-rows: auto;
	gap: 64px;
}

.contact__info {
	display: flex;
	flex-direction: column;
	gap: 32px;
}

.contact__heading {
	font-size: 30px;
	line-height: 36px;
	color: #191b22;
	font-weight: 400;
}

.contact__details {
	display: flex;
	flex-direction: column;
	gap: 32px;
}

.contact__detail {
	display: flex;
	align-items: center;
	gap: 16px;
}

.contact__detail-icon {
	height: 48px;
	width: 48px;
	border-radius: 24px;
	display: flex;
	justify-content: center;
	align-items: center;
}

.contact__detail:nth-child(1) .contact__detail-icon {
	background: #d6e3ff;
}
.contact__detail:nth-child(2) .contact__detail-icon {
	background: #a3f69c;
}
.contact__detail:nth-child(3) .contact__detail-icon {
	background: #e7e7f1;
}

.contact__detail-icon img {
	height: 18px;
	width: 18px;
}

.contact__detail-info {
	display: flex;
	flex-direction: column;
}

.contact__detail-heading {
	font-size: 18px;
	line-height: 28px;
	color: #191b22;
}

.contact__detail-text {
	font-size: 16px;
	color: #424752;
	line-height: 24px;
}

.contact__map {
	padding-top: 16px;
	width: 100%;
	height: auto;
}

.contact__map iframe {
	width: 100%;
	aspect-ratio: 1/1;
	border-radius: 24px;
}

.contact__form-container {
	background: #f2f3fd;
	border-radius: 24px;
	display: flex;
	flex-direction: column;
	gap: 32px;
	padding: 32px 32px 48px 32px;
}

.contact__heading {
	font-size: 24px;
	line-height: 32px;
	color: #191b22;
}

.contact__form {
	display: flex;
	flex-direction: column;
	gap: 24px;
}

.contact__form-group {
	display: flex;
	flex-direction: column;
	gap: 8px;
}

.contact__form-label {
	font-size: 14px;
	line-height: 20px;
	color: #424752;
}

.contact__form-input {
	padding: 14px 16px 15px 16px;
	background: #e1e2ec;
	border-radius: 8px;
}

textarea.contact__form-input {
	padding-top: 12px;
	padding-bottom: 84px;
}

.contact__btn {
	padding: 16px 0;
	background: #00478d;
	color: #fff;
	border-radius: 24px;
	font-size: 18px;
	line-height: 28px;
	font-weight: 600;
	transition: all 0.2s ease-in-out;

	&:hover,
	&:focus,
	&:active {
		background: #0056b3;
	}
}

/* ac-repair-hero */
.ac-repair-hero {
	background:
		linear-gradient(to right, #00478de6 0%, #005eb866 100%),
		url("../images/ac-repair-hero.webp") center center/cover no-repeat;
	color: #fff;
	padding-top: 86px;
	padding-bottom: 22px;
}

/* included */
.included__card {
	flex-direction: row;
}

.included__card-icon-container {
	background: #e8f0e9;
	height: 48px;
	width: 48px;
	min-width: 48px;
	min-height: 48px;
	border-radius: 14px;
	display: flex;
	justify-content: center;
	align-items: center;
}

/*.included__card-icon {
	border: 2px solid #1b6d24;
	border-radius: 50%;
	padding: 6px;
	display: flex;
	justify-content: center;
	align-items: center;
}*/

.included__card-icon {
	mask-image: url("../images/check-solid-full.svg");
	-webkit-mask-image: url("../images/check-solid-full.svg");
	background-color: #1b6d24;
	height: 12px;
	width: 12px;
	mask-size: contain;
	mask-repeat: no-repeat;
	mask-position: center;
}

.included__card-icon-border {
	border: 2px solid #1b6d24;
	border-radius: 50%;
	padding: 3px;
}

/*.included__card-icon i {
	color: #1b6d24;
	font-size: 10px;
	height: 10px;
	width: 10px;
	transform: translateY(-1px) translateX(-1px);
}*/

.included__card-content {
	display: flex;
	flex-direction: column;
	gap: 8px;
}

.included__card-heading {
	font-size: 16px;
}

.included__card-description {
	font-size: 14px;
	line-height: 20px;
}

/* footer */
.footer {
	padding: 40px 0;
	background: #f8fafc;
}

.footer__container {
	padding: 0 32px;
	text-align: center;
}

.footer__company-logo {
	padding-bottom: 16px;
	display: flex;
	gap: 8px;
	justify-content: center;
	align-items: center;
}

.footer__company-icon {
	padding-bottom: 0;
	display: flex;
}

.footer__company-icon img {
	display: inline-block;
	height: 20px;
	width: 16px;
}

.footer__company-name {
	font-size: 18px;
	font-family: "Plus Jakarta Sans";
	line-height: 28px;
	color: #1e3a8a;
}

.footer__links {
	padding-top: 24px;
	display: flex;
	justify-content: space-between;
	align-items: center;
}

.footer__link {
	font-size: 14px;
	line-height: 20px;
	color: #64748b;
	transition: all 0.2s ease-in-out;

	&:hover,
	&:focus,
	&:active {
		transform: scale(1.1);
	}
}

.footer__divider {
	height: 1px;
	width: 100%;
	background: #c2c6d426;
	margin-top: 42px;
}

.footer__copyright {
	padding-top: 42px;
	font-size: 12px;
	line-height: 16px;
	color: #64748b;
}
